Bug 4406 - GridShib - contact Von Welch (vwelch@ncsa.uiuc.edu)
: GridShib - contact Von Welch (vwelch@ncsa.uiuc.edu)
Status: ASSIGNED
: Incubator Project
Active Projects
: unspecified
: PC Windows XP
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-05-17 07:06 by
Modified: 2008-12-04 20:49 (History)


Attachments
grid-shib project proposal (29.50 KB, application/msword)
2006-05-17 07:09, jennifer schopf
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-17 07:06:44
The goal of the GridShib project is to enable interoperability between the
Globus Toolkit and the Shibboleth identity federation system. More specially,
this entails enabling the GT web services runtime to parse and use SAML
assertions in its authorization decision-making process by enhancing the
existing GT authorization framework.
------- Comment #1 From 2006-05-17 07:09:34 -------
Created an attachment (id=950) [details]
grid-shib project proposal
------- Comment #2 From 2006-05-17 07:10:17 -------
GridShib Incubator Proposal
Von Welch, NCSA
May 12, 2006

Proposed Project
This document proposes the “GridShib” incubator project for dev.globus. Project 
information and initial source code can be found at
http://gridshib.globus.org/. Source 
code is already licensed under the Apache 2.0 license.

Proposed project chair:
Von Welch
NCSA/U. of Illinois
vwelch@ncsa.uiuc.edu
(217) 265-7139

Proposed committers for the project
Rachana Ananthakrishnan, UC/ANL
Tim Freeman, UC/ANL
Kate Keahey, UC/ANL
Raj Kettimuthu, UC/ANL
Tom Scavo, NCSA
Frank Siebenlist, UC/ANL
Von Welch, NCSA

Overview of the aims of the project
The goal of the GridShib project is to enable interoperability between the
Globus Toolkit 
and the Shibboleth identity federation system. More specially, this entails
enabling the 
GT web services runtime to parse and use SAML assertions in its authorization
decision-
making process by enhancing the existing GT authorization framework.

Current user base
None currently, in discussion with several parties. Real world deployment is a
major 
project goal over the next six months.
How GridShib relates to other parts of dev.globus
GridShib contributes to the redevelopment of the GT authorization
infrastructure in 
general. The functionality it provides is usable by any GT Web Services-based
service. 
GridShib has also developed software specifically for GRAM that allows for
selection of 
local identity (i.e. unix account name) based on SAML attributes.

Summary of GridShib enhances and benefits Globus 
Software
GridShib adds the ability for Globus Web Services to leverage Shibboleth and
SAML 
authentication and attributes.
------- Comment #3 From 2006-05-29 14:57:48 -------
Accepted as a protoproject by unanimous vote on May 26 telecon. Mentor is Ann
Chervenak (annc@isi.edu), and the acceptance mail below has been sent

To: Von Welch <vwelch@ncsa.uiuc.edu>
Subject: [incubator-committers] GridShib is now a dev.globus ProtoProject
Cc: incubator-committers@globus.org, ann Chervenak <annc@ISI.EDU> 


Hello-


   We are please to accept GridShib as a ProtoProject in the dev.globus
incubation process! This mail contains information on your mentor, getting set
up in the dev.globus infrastructure, and next steps.


As you know, we’re still getting the process up and running. Current process
guidelines are at
<http://dev.globus.org/wiki/IncubatorDraft>http://dev.globus.org/wiki/IncubatorDraft,
although this is moving shortly to
<http://dev.globus.org/wiki/Incubator/Incubator_Process>http://dev.globus.org/wiki/Incubator/Incubator_Process
, and may be there the next time you check.


Your mentor is currently Ann Chervenak (annc@isi.edu). Your mentor will act as
a bridge between your project and the Incubation Management Project, and should
be able to answer any basic questions you have. They will also help you during
the quarterly reviews and in understanding how to escalate to a full Globus
Project.  Your mentor needs to have write access for the wiki page, but does
not need to have CVS commit access unless you would like them to. If you would
like to propose a different mentor for any reason, please let me know, and we
can discuss options.


We have set up four mailing lists for you, according to the GlobDev guidelines
(
<https://dev.globus.org/wiki/Guidelines#Communication>https://dev.globus.org/wiki/Guidelines#Communication
).  As such, four lists have been created for your project - *-dev, *-user,
*-announce, and *-commit, where * is your project name, with you listed as the
owner. The password has been set to “incubator” for all of them for now.  It
now falls to you to enroll the members of these lists ­ they’re standard
majordomo lists, basic subscription is done by simply sending (to
<mailto:majordomo@globus.org>majordomo@globus.org)


approve <passwd> subscribe <listname> <email_address>


approve <passwd> subscribe <listname> <next_email_address>
for your various lists and subscribers.


Your CVS/SVN module as been set up for you. Please mail Charles Bacon
(bacon@mcs.anl.gov) with the complete list of commiter names, desired names for
accounts, and ssh public keys, and he will email back access instructions when
these are set.


Your wiki page is in the process of being setup, and a temporary page will be
located at
<http://dev.globus.org/wiki/Incubator/XX>http://dev.globus.org/wiki/Incubator/GridShib
early this week. Please mail Cristina Williams
(<mailto:cristina@isi.edu>cristina@isi.edu) with your list of wiki committers’
names and their account names on the dev.globus.org wiki.


One of the hurdles you’ll need to pass in order to become a Globus project is
the licensing. You’ll receive mail closer to the end of the week with the
details on how to go forward on this front as what’s online is being updated.


The next step in the incubator process will be a check on where the startup
projects are. This is likely to be happening around the first week of July, and
your mentor will give you additional information on this in the next couple
weeks.


Thanks again for your participation, and bearing with us while we get the
process up and running. Please don’t hesitate to contact me or your mentor with
any additional questions.


   -Jennifer Schopf, on behalf of the incubator management project


------------------------------------------------------------------------------------------------
Dr. Jennifer M. Schopf
Scientist                              eInfrastructure Policy Advisor
Distributed Systems Lab       National eScience Centre and JISC
Argonne National Laboratory  The University of Edinburgh
jms@mcs.anl.gov                 jms@nesc.ac.uk
http://www.mcs.anl.gov/~jms http://homepages.nesc.ac.uk/~jms
------- Comment #4 From 2006-07-25 12:46:07 -------
Based on a recent review by the incubator project (July 11, 2006) and
subsequent changes to the Gridshib web pages, the Gridshib project has
satisfied all current requests. 

1) have they updated the wiki from the vanilla template
Yes, the web site is now updated to include links to existing gridshib pages
for documentation, publications, etc.

2) are the statements on the wiki correct/acceptable
Yes

3) has the code moved into the CVS (nightly updates are fine)
Yes

4) are the mailing lists being used?
Yes, the previous mailing lists have been converted to gridshib-users,
gridshib-commiters, etc.

5) do they have bugzilla space set up
Yes

6) is bugzilla being used for either bug tracking or roadmaps
Yes for bug tracking and roadmap items
------- Comment #5 From 2007-04-09 19:27:55 -------
The Incubation Management Project has completed its latest quarterly review of
projects, and GridShib did very well. We agreed that GridShib is ready for
escalation as soon as the appropriate licenses (for individual committers and
for UC/ANL and NCSA as institutions) are in place.  The review is posted below.
Please contact me if you have any questions.

In addition, I'd like to remind you (and your group) that as members of the
Incubation process within Globus you are invited to attend the Globus
Committers Meeting in May. Additional information can be found online at:
http://dev.globus.org/wiki/Meetings/AllHandsMeetingMay2007

Thanks again for participating in the Globus Incubation process!

Ann

Review Details:

1) have they updated the wiki from the vanilla template?
Yes, the web site is now updated to include appropriate links to existing
gridship pages for documentation, publications, etc.

2) are all the committers from the proposal listed on the wiki?
Yes

3) are the statements on the wiki correct/acceptable?
Yes

4) has the code moved into the CVS/SVN (nightly updates are fine)?
Yes

5) have they done a release as an incubator project yet?
Yes.

http://www.globus.org/mail_archive/gridshib-announce/2007/01/msg00000.html
http://www.globus.org/mail_archive/gridshib-announce/2007/01/msg00001.html
http://www.globus.org/mail_archive/gridshib-announce/2006/12/msg00000.html
http://www.globus.org/mail_archive/gridshib-announce/2006/11/msg00000.html
http://www.globus.org/mail_archive/gridshib-announce/2006/08/msg00000.html

6) are all the committers on the mailing lists?

Yes

7) are the mailing lists being used?
Yes, the previous mailing lists have been converted to gridshib-users,
gridshib-commiters, etc. These are used quite actively by the GridShib
committers and the community. For example, 28 people are on the gridshib-user
list.

8) do they have bugzilla space set up?
Yes

9) is bugzilla being used for either bug tracking or roadmaps?
Yes for bug tracking and roadmap items

10) anything else - general feeling for how close to escalation
This project is very close to escalation. Individual and institutional licenses
need to be set up, and then the project can escalate.
------- Comment #6 From 2007-11-21 14:21:07 -------
Gridshib quarterly review, September 2007

1) have they updated the wiki from the vanilla template? 
Yes, the web site is now updated to include appropriate links to existing
gridship pages for documentation, publications, etc. 

2) are all the committers from the proposal listed on the wiki? 
Yes 

3) are the statements on the wiki correct/acceptable? 
Yes 

4) has the code moved into the CVS/SVN (nightly updates are fine)? 
Yes 

5) have they done a release as an incubator project yet? 
Yes, they have done a series of releases. The most recent was version 0.5.2
released in April. Next release 0.6.0 expected in October. 

6) are all the committers on the mailing lists? 

Yes 

7) are the mailing lists being used? 
Yes, the gridshib-user, gridshib-commit, and gridshib-dev mailing lists are
actively used. 

8) do they have bugzilla space set up? 
Yes 

9) is bugzilla being used for either bug tracking or roadmaps? 
Yes for bug tracking and roadmap items 

10) Have all the committers signed the license?
Does not appear so

11) Have the necessary corporate licenses been signed?
No

12)  anything else - general feeling for how close to escalation 
This project is ready to escalate as soon as all licenses are signed. 
------- Comment #7 From 2008-04-30 15:36:37 -------
Dear Von,

The Incubator Management Project recently completed our periodic review of
Incubator projects, which is attached below. We reviewed GridShib and found
that the project has made excellent progress. GridShib is ready to escalate to
full dev.globus project status as soon as the legal issues are resolved and the
appropriate licenses are signed. In the meantime, the project will remain in
Incubation. Please let me know if the license issues get resolved so that we
can escalate the project quickly.

In addition, we would like to invite you to attend the GlobusWorld track at the
upcoming Open Source Grid and Cluster Conference, to be held in Oakland May
12-16 (www.opensourcegridcluster.org). The GlobusWorld program includes
tutorials, advanced technical presentations, contributed talks, and community
events on many aspects of Globus. Other tracks contain material about other
open source grid and cluster software. This meeting promises to be a great
opportunity to meet colleagues, peers, collaborators from the grid and cluster
community.

Best regards,

Ann Chervenak


Gridshib quarterly review, April 2008

1) have they updated the wiki from the vanilla template?
Yes, the web site is now updated to include appropriate links to existing
gridship pages for documentation, publications, etc.

2) are all the committers from the proposal listed on the wiki?
Yes

3) are the statements on the wiki correct/acceptable?
Yes

4) has the code moved into the CVS/SVN (nightly updates are fine)?
Yes

5) have they done a release as an incubator project yet?
Yes, they have had an ongoing series of releases. The most recent is the
GridShib for GT v0.6.0 Release Candidate from April 7th.

6) are all the committers on the mailing lists?

Yes

7) are the mailing lists being used?
Yes, the gridshib-user, gridshib-commit, and gridshib-dev mailing lists are
actively used.

8) do they have bugzilla space set up?
Yes

9) is bugzilla being used for either bug tracking or roadmaps?
Yes for bug tracking and roadmap items

10) Have all the committers signed the license?
No

11) Have the necessary corporate licenses been signed?
No

12)  anything else - general feeling for how close to escalation
This project is ready to escalate as soon as all licenses are signed.
------- Comment #8 From 2008-10-03 19:18:43 -------
Dear Von,

The Incubator Management Project recently completed our periodic review of
Incubator projects, which is attached below. We reviewed GridShib and found
that the project has continued to make excellent progress. GridShib is ready to
escalate to full dev.globus project status as soon as the appropriate licenses
are signed. From our email exchange, I understand that there has been some
progress in this area. Please let me know when the license issues get resolved
so that we can escalate the project. In the meantime, the project will remain
in Incubation.

In addition, we would like to invite you to prepare a one- or two-page
information sheet describing your project that will be used as a handout in the
Globus booth at the SC08 conference and posted on the Globus outreach wiki
page. Some example information sheets from last year are available at:
http://dev.globus.org/wiki/Outreach/SC2007#Globus_Information_Sheets. If you
are interested in providing an information sheet for your project, please send
it to Stuart Martin at Stuart Martin <smartin@mcs.anl.gov>.

Thanks for your continued participation in the Incubator process.

Best regards,

Ann Chervenak


 Gridshib quarterly review, September 2008

1) have they updated the wiki from the vanilla template?
Yes, the web site is now updated to include appropriate links to existing
gridship pages for documentation, publications, etc.

2) are all the committers from the proposal listed on the wiki?
Yes

3) are the statements on the wiki correct/acceptable?
Yes

4) has the code moved into the CVS/SVN (nightly updates are fine)?
Yes

5) have they done a release as an incubator project yet?
Yes, they have had an ongoing series of releases.

6) are all the committers on the mailing lists?

Yes

7) are the mailing lists being used?
Yes, the gridshib-user, gridshib-commit, and gridshib-dev mailing lists are
actively used.

8) do they have bugzilla space set up?
Yes

9) is bugzilla being used for either bug tracking or roadmaps?
Yes for bug tracking and roadmap items

10) Have all the committers signed the license?
No

11) Have the necessary corporate licenses been signed?
No, however, it appears there is some progress on this front. Von indicates
that the lawyers seem close to resolving this issue.

12)  anything else - general feeling for how close to escalation
This project is ready to escalate as soon as all licenses are signed.
------- Comment #9 From 2008-10-04 12:37:35 -------
(In reply to comment #8)
> 
> 10) Have all the committers signed the license?
> No

How do we find out which committers have or have not signed the license? 
Thanks.